mandatory patch for modules based on Sirf 4 chipset

  • Hi All,


    After 6/ April 2019 (GPS roll over event) customers using modules based on Sirf4 GSD4E-9333 chipset, noticed issues related to Satellite tracking. Touching base with Qualcomm Leads into a firmware patch that is mandatory to be upload into the modules.

    Qualcomm® Technologies International Ltd. (QTIL) have advised OriginGPS that they do not support operating and using GSD4e-9333 and GSD4e-9510 based devices in ROM mode without applying following software patch: GSD4e_4.1.2-P1_RPATCH_10.

    Customers must update this release to obtain the latest feature improvements and issue resolutions. Please be aware that patch uploads need to be implemented after every power cycle since these units are Rom based.

    This affects the following OriginGPS devices:

    • ORG1410 (all versions)
    • ORG1411 (all versions)
    • ORG1415 (all versions)
    • ORG1418 (all versions)
    • ORG1408 (all versions)
    • ORG4402 (all versions)
    • ORG4472 (all versions)
    • ORG4400 (all versions)
    • ORG4475 (all versions)

    Attached a zip file that contains all relevant info, please forward to various customers that are using these modules. Kindly let us know if you have any question related to this issue.


    Patchfile


    Regards,


    Round Solutions Support Team

  • Hüseyin

    Changed the title of the thread from “mandatory patch for modules based on Sirf 4 cheapest” to “mandatory patch for modules based on Sirf 4 chipset”.